#include "config.h"

#define STRINGIZE(x) #x
#define STRINGIZE_VALUE_OF(x) STRINGIZE(x)

int __moon_version_major()
{
#ifndef MOON_MAJOR
    return 0;
#else
    return MOON_MAJOR;
#endif
}

int __moon_version_minor()
{
#ifndef MOON_MINOR
    return 3;
#else
    return MOON_MINOR;
#endif
}

const char* __moon_version_suffix()
{
#ifndef _MOON_SUFFIX
    return "";
#else
    return STRINGIZE_VALUE_OF(_MOON_SUFFIX);
#endif
}